%global packname  later
%global rlibdir  %{_libdir}/R/library

# rmarkdown is not yet available.
%global with_doc 0

Name:             R-%{packname}
Version:          0.7.1
Release:          3%{?dist}
Summary:          Utilities for Delaying Function Execution

# Main GPLv2+; TinyCThread: MIT
License:          GPLv2+ and MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp R-rlang
# Suggests:  R-knitr R-rmarkdown R-testthat
# LinkingTo: R-Rcpp R-BH
# Enhances:

Requires:         R-Rcpp R-rlang

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-Rcpp-devel R-BH-devel R-rlang
BuildRequires:    R-testthat
%if %{with_doc}
BuildRequires:    R-knitr R-rmarkdown
%endif

%description
Executes arbitrary R or C functions some time after the current time,
after the R execution stack has emptied.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# A file used in tests; tests aren't installed.
rm %{buildroot}%{rlibdir}/%{packname}/bgtest.cpp


%check
%if %{with_doc}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so

%files devel
%{rlibdir}/%{packname}/include


%changelog
* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 0.7.1-3
- rebuild for R 3.5.0

* Fri Apr 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.1-2
- Remove unnecessary Requires

* Fri Apr 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.1-1
- initial package for Fedora
